Bug 240124 - graphics/qgis: Update to 3.8.2
Summary: graphics/qgis: Update to 3.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-26 13:50 UTC by Rainer Hurling
Modified: 2019-08-29 05:50 UTC (History)
2 users (show)

See Also:


Attachments
patch to update graphics/qgis from 3.6.2 to 3.8.2 (25.21 KB, patch)
2019-08-26 13:50 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2019-08-26 13:50:20 UTC
Created attachment 206923 [details]
patch to update graphics/qgis from 3.6.2 to 3.8.2

This patch updates to the newest QGIS version 3.8.2.

It turns out, that the build process has problems on at least HEAD since QGIS #18fb3f2[1]. After reporting on the QGIS dev mailing list[2] it turns out, that the problem only occurs with clang clang 7.x and 8.x. With these compiler versions, the build takes several hours. 

[1] https://github.com/qgis/QGIS/commit/18fb3f2bad83f208aa32d32600047e2faff24d14
[2] http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-QGIS-3-8-0-on-FreeBSD-build-takes-several-hours-td5408676.html


Changes of the port:
- Update to 3.8.2
- Force clang version 9.x from ports
- Update several Python dependencies
- Add devel/py-geojson, devel/py-nbformat, math/py-networkx, 
  graphics/py-pillow, graphics/py-scikit-image, and 
  devel/py-shapely for Python extension
- Add -DCMAKE_POLICY_DEFAULT_CMP0056:STRING=NEW
- Update pkg-plist


The patch is tested on Poudriere (11.3i/a, 12.0i/a, and HEADi/a),
'portlint -AC' seems happy.
Comment 1 Kurt Jaeger freebsd_committer 2019-08-28 19:09:17 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2019-08-29 05:50:36 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-08-29 05:50:44 UTC
A commit references this bug:

Author: pi
Date: Thu Aug 29 05:50:35 UTC 2019
New revision: 510143
URL: https://svnweb.freebsd.org/changeset/ports/510143

Log:
  graphics/qgis: upgrade 3.6.2 -> 3.8.2

  - Force clang version 9.x from ports
  - Update several Python dependencies
  - Add devel/py-geojson, devel/py-nbformat, math/py-networkx,
    graphics/py-pillow, graphics/py-scikit-image, and
    devel/py-shapely for Python extension
  - Add -DCMAKE_POLICY_DEFAULT_CMP0056:STRING=NEW

  PR:		240124
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer)
  Relnotes:	https://www.qgis.org/en/site/forusers/visualchangelog38/index.html

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/pkg-plist